/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package logic;

import db.DatabaseBroker;
import domen.Mesto;
import domen.PoslovniPartner;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student
 */
public class Kontroler {
    private DatabaseBroker dbbr;
    private static Kontroler instance;
    private Kontroler(){
        dbbr=new DatabaseBroker();
    }
    public static Kontroler getInstance(){
        if(instance==null){
            instance=new Kontroler();
        }
        return instance;
    }

    //private static List<PoslovniPartner> partneri = new ArrayList<>();
    public List<Mesto> vratiMesta() {

        /*
            List<Mesto> mesta = new ArrayList<>();
            mesta.add(new Mesto(11000l, "Beograd"));
            mesta.add(new Mesto(35000l, "Jagodina"));
            mesta.add(new Mesto(36000l, "Kraljevo"));
            return mesta;
         */
        List<Mesto> mesta = new ArrayList<>();
        try {
            //dbbr = new DatabaseBroker();
            dbbr.uspostaviKonekciju();
            mesta = dbbr.getAllMesto();
            dbbr.raskiniKonekciju();
            return mesta;
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return mesta;
    }

    public void sacuvajPoslovnogPartnera(PoslovniPartner poslovniPartner) {
        //partneri.add(poslovniPartner);
        try {
            //DatabaseBroker dbbr = new DatabaseBroker();
            dbbr.uspostaviKonekciju();
            dbbr.insertPoslovniPartnerBoljiNacin(poslovniPartner);
            dbbr.raskiniKonekciju();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    public void sacuvajPoslovnePartnere(List<PoslovniPartner> partneri) throws Exception {
        //partneri.add(poslovniPartner);
        //DatabaseBroker dbbr = new DatabaseBroker();
        try {
            dbbr.uspostaviKonekciju();
        } catch (Exception e) {
            e.printStackTrace();
            throw new Exception("Nije uspesno uspostavljenja konekcija na bazu: " + e.getMessage());
        }
        try {
            for (PoslovniPartner poslovniPartner : partneri) {
                dbbr.insertPoslovniPartnerBoljiNacin(poslovniPartner);
            }
            dbbr.potvrdiTransakciju();
        } catch (Exception e) {
            dbbr.ponistiTransakciju();
            e.printStackTrace();
            throw new Exception("Greska prilikom cuvanja poslovnih partnera u bazi podataka: " + e.getMessage());
        } finally {
            try {
                dbbr.raskiniKonekciju();
            } catch (Exception e) {
                e.printStackTrace();
                throw new Exception("Nije uspesno zatvorena baza: " + e.getMessage());
            }
        }

    }

    public List<PoslovniPartner> vratiPoslovnePartnere() {
        List<PoslovniPartner> partneri = new ArrayList<PoslovniPartner>();
        //DatabaseBroker dbbr = new DatabaseBroker();
        try {
            dbbr.uspostaviKonekciju();
            partneri = dbbr.getAllPoslovniPartner();
            dbbr.raskiniKonekciju();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return partneri;
    }
}
